# AllThingsTalk LTE-M Rapid Development Kit Sketches

## About

The AllThingsTalk LTE-M RDK (Rapid Development Kit) for Arduino helps you to set your first steps in discovering LTE-M LPWAN technology. The RDK contains 3 carefully selected experiments which highlight the value of LTE-M LPWAN and the AllThingsTalk IoT Cloud.

## Experiments
### Guard your high-value assets (**[GuardAssets](GuardAssets)**)

Get notified when and where your high value assets move unexpectedly or are exposed to sudden and brusk shocks that could be a cause of damage. When you leave high value assets unguarded or trust them in the care of a 3rd party, you want to be able to monitor them and get notified when something unexpected occurs.   
In case such unexpected events occur, next to notification, you would also be able to collect additional data which can help identify what caused such event and understand the circumstances.   
Additional data collection could pro-actively detect factors which could cause damage and thus enable you to intervene before such events actually occur.
Such data collection could enable other stakeholders such as insurance companies to better identify cause and circumstances of damage and thus offer individualised insurance policies.

### Monitoring perishable goods along the distribution process (**[MonitorPerishableGoods](MonitorPerishableGoods)**)
Perishable goods need accurate and realtime monitoring at every step of the distribution and transport chain from producer to consumer.  Collecting data during this distribution process is crucial to guarantee the product quality meets the standards set by the producer to ensure the best customer experience.  The most obvious application is for the distribution of goods that require to be kept within temperature and humidity thresholds at all times to ensure they do not perish.
IoT technologies can help to monitor such goods along the distribution chain starting at the moment of production, following on during transport and storage.  
It enables the owner to be alerted (in real-time) when thresholds are exceeded and offers valuable insights to producers and customers report over the distribution chain of a perishable item.

### Guard and track your assets (**[GuardAndTrackAssets](GuardAndTrackAssets)**)
Guard your valuable assets, get immediate notification when they move without your consent and keep track of their exact location, all in real-time. 
Networks based on the LTE-M protocol enable realtime bi-directional communication which provides next to exact location of your assets the ability to instruct changes in the behaviour of the IoT device.

